Ulsav Docs

Bulk

List bulk operations

GET
/api/v1/organizations/{organization_id}/bulk-operations

Path Parameters

organization_id*string

Query Parameters

statuses?array<string>|

Filter by status (queued, running, completed, failed, cancelled). Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/bulk-operations'
Example Response
{  "$schema": "https://example.com/schemas/PageOperation.json",  "data": [    {      "$schema": "https://example.com/schemas/Operation.json",      "action": "string",      "applied": 0,      "createdAt": "2019-08-24T14:15:22Z",      "error": "string",      "failed": 0,      "finishedAt": "2019-08-24T14:15:22Z",      "id": "string",      "mode": "string",      "organizationId": "string",      "requested": 0,      "resource": "string",      "results": [        {          "code": "string",          "id": "string",          "message": "string",          "status": "string"        }      ],      "resultsTruncated": true,      "skipped": 0,      "startedAt": "2019-08-24T14:15:22Z",      "status": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}

Get a bulk operation

GET
/api/v1/organizations/{organization_id}/bulk-operations/{operation_id}

Path Parameters

organization_id*string
operation_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/bulk-operations/string'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/check-in-sessions/bulk/status

Path Parameters

organization_id*string

Request Body

application/json
  1. body
selection*
status*string
Value in"active""paused""closed"

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/check-in-sessions/bulk/status' \  -H 'Content-Type: application/json' \  -d '{  "selection": {    "mode": "explicit"  },  "status": "active"}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}

Archive Events

POST
/api/v1/organizations/{organization_id}/events/bulk/archive

Path Parameters

organization_id*string

Request Body

application/json
  1. body
selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/archive' \  -H 'Content-Type: application/json' \  -d '{  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/events/bulk/move

Path Parameters

organization_id*string

Request Body

application/json
  1. body
eventGroupId?string

Target EventGroup id.

eventSeriesId?string

Target EventSeries id.

selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/move' \  -H 'Content-Type: application/json' \  -d '{  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}

Publish Events

POST
/api/v1/organizations/{organization_id}/events/bulk/publish

Path Parameters

organization_id*string

Request Body

application/json
  1. body
selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/publish' \  -H 'Content-Type: application/json' \  -d '{  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/events/bulk/sales

Path Parameters

organization_id*string

Request Body

application/json
  1. body
paused*boolean

True to pause sales, false to resume.

selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/sales' \  -H 'Content-Type: application/json' \  -d '{  "paused": true,  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}

Set Event visibility

POST
/api/v1/organizations/{organization_id}/events/bulk/visibility

Path Parameters

organization_id*string

Request Body

application/json
  1. body
selection*
visibility*string
Value in"public""unlisted""private"

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/visibility' \  -H 'Content-Type: application/json' \  -d '{  "selection": {    "mode": "explicit"  },  "visibility": "public"}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/passes/bulk/sale-state

Path Parameters

organization_id*string

Request Body

application/json
  1. body
active*boolean

True to enable sale, false to disable.

selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/passes/bulk/sale-state' \  -H 'Content-Type: application/json' \  -d '{  "active": true,  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/registrations/bulk/approve

Path Parameters

organization_id*string

Request Body

application/json
  1. body
note?string
Lengthlength <= 2000
selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/approve' \  -H 'Content-Type: application/json' \  -d '{  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/registrations/bulk/cancel

Path Parameters

organization_id*string

Header Parameters

Idempotency-Key?string

Request Body

application/json
  1. body
reason*string
Length1 <= length <= 2000
refundMinorUnits?integer

Refund applied to every target; omitted credits the settled value.

Formatint64
selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/cancel' \  -H 'Content-Type: application/json' \  -d '{  "reason": "string",  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/registrations/bulk/reject

Path Parameters

organization_id*string

Request Body

application/json
  1. body
note?string
Lengthlength <= 2000
selection*

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/reject' \  -H 'Content-Type: application/json' \  -d '{  "selection": {    "mode": "explicit"  }}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}
POST
/api/v1/organizations/{organization_id}/registrations/bulk/switch

Path Parameters

organization_id*string

Header Parameters

Idempotency-Key?string

Request Body

application/json
  1. body
attendanceMode?string
Value in"in_person""online"
overrideCheckin?boolean
paymentMode?string
Value in"online""offline"
reason*string
Length1 <= length <= 2000
refundMinorUnits?integer
Formatint64
selection*
toPassId*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
action*string
applied*integer
Formatint64
createdAt*string
Formatdate-time
error?string
failed*integer
Formatint64
finishedAt?string
Formatdate-time
id*string
mode*string
organizationId*string
requested*integer
Formatint64
resource*string
results?array<>|null
resultsTruncated*boolean
skipped*integer
Formatint64
startedAt?string
Formatdate-time
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/switch' \  -H 'Content-Type: application/json' \  -d '{  "reason": "string",  "selection": {    "mode": "explicit"  },  "toPassId": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/Operation.json",  "action": "string",  "applied": 0,  "createdAt": "2019-08-24T14:15:22Z",  "error": "string",  "failed": 0,  "finishedAt": "2019-08-24T14:15:22Z",  "id": "string",  "mode": "string",  "organizationId": "string",  "requested": 0,  "resource": "string",  "results": [    {      "code": "string",      "id": "string",      "message": "string",      "status": "string"    }  ],  "resultsTruncated": true,  "skipped": 0,  "startedAt": "2019-08-24T14:15:22Z",  "status": "string"}